Name:      ovirt-imageio-daemon
Version:   0.3.0
Release:   0%{?release_suffix}%{?dist}
Summary:   oVirt imageio daemon

Group:     Applications/System
License:   GNU GPLv2+
Url:       https://gerrit.ovirt.org/ovirt-imageio
Source0:   http://resources.ovirt.org/pub/ovirt-master-snapshot/src/%{name}/%{name}-%{version}.tar.gz
BuildArch: noarch

# NOTE: keep in sync with automation/check.packages
Requires:  ovirt-imageio-common
Requires:  python
Requires:  systemd-python

# NOTE: keep in sync with automation/build-artifacts.packages
BuildRequires: python-devel
BuildRequires: systemd

%description
Daemon to manage image data transfer on oVirt virtualization hosts.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
install -Dm 0644 data/ovirt-imageio-daemon.service %{buildroot}%{_unitdir}/ovirt-imageio-daemon.service

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%license COPYING
%doc README
%{_unitdir}/ovirt-imageio-daemon.service


# For more information about the systemd macros, see:
# https://fedoraproject.org/wiki/Packaging:Scriptlets#New_Packages

%post
# After installation, synchronize service state with preset files.
%systemd_post ovirt-imageio-daemon.service

%preun
# Before uninstalling, stop and disable the service.
%systemd_preun ovirt-imageio-daemon.service

%postun
# After upgrading, restart the service.
%systemd_postun_with_restart ovirt-imageio-daemon.service
